#
# Conditional build:
%bcond_with	tests	# functional tests (require running X and plplot-driver-xwin)
#
%define		pdir	Graphics
%define		pnam	PLplot
Summary:	Graphics::PLplot - Perl interface to the PLplot plotting library
Summary(pl.UTF-8):	Graphics::PLplot - perlowy interfejs do biblioteki rysującej PLplot
Name:		perl-Graphics-PLplot
Version:	0.03
Release:	18
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	https://www.cpan.org/modules/by-module/Graphics/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	95a1cfeef5522f963357b1a757e9ba08
Patch0:		fix-plplot-call.patch
URL:		https://metacpan.org/dist/Graphics-PLplot
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	plplot-devel
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	plplot-driver-xwin
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a Perl interface to the PLplot plotting library
available from <http://www.plplot.org/>. The interface is very similar
to the C interface.

%description -l pl.UTF-8
Ten moduł dostarcza perlowy interfejs do bibioteki rysującej PLplot
dostępnej ze strony <http://www.plplot.org/>. Interfejs jest bardzo
podobny do interfejsu C.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/Graphics/PLplot.pm
%dir %{perl_vendorarch}/auto/Graphics/PLplot
%attr(755,root,root) %{perl_vendorarch}/auto/Graphics/PLplot/*.so
%{_mandir}/man3/Graphics::PLplot.3pm*
%changelog
* Sat Jun 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Graphics-PLplot.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> f1f1bee
- perl 5.40.0 rebuild

* Wed Jun 12 2024 Jakub Bogusz <qboosh@pld-linux.org> a64f596
- pl, updated URLs

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 2cf7fff
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> d19b000
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 075a22d
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 02e11f3
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 7c1d8f2
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 3a78e62
- rebuild with perl 5.30.0
- release 13 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 88ff8e3
- rebuild with perl 5.28.0
- release 12 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> c60583b
- perl req/prov fix
- release 11 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> efca080
- rebuild with perl 5.26
- release 10 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> d623f50
- rebuild with perl 5.24.0
- release 9 (by relup.sh)

* Mon Apr 18 2016 Jan Rękorajski <baggins@pld-linux.org> 22232f9
- release 8 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> ce37cb8
- release 7 (by relup.sh)

* Mon Apr 06 2015 Jan Rękorajski <baggins@pld-linux.org> ba56b30
- x32 rebuild
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 6971b0e
- x32 rebuild
- release 5 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 4346596
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 8fcd94d
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 76c14bb
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Mon Mar 17 2014 Jan Rękorajski <baggins@pld-linux.org> 1a40a7d
- release 2 (by relup.sh)

